# Derived values
%define module  Convert-UUlib
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-convert-uulib
Version: 1.051
Release: 4tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Convert-UUlib-1.051.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING COPYING.Artistic COPYING.GNU Changes MANIFEST README
%doc example-decoder doc
%{siteperl}/i586-linux-thread-multi/Convert
%{siteperl}/i586-linux-thread-multi/auto/Convert
%{_mandir}/*/*

%changelog
* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 1.03-4tr
- Rebuilt on perl-5.8.7	
		
* Thu Mar 17 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.03-2tr
- Rebuilt

* Mon Mar  7 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 1.051-1tr
- New upstream
- Rebuilt on perl-5.8.6

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot org> 1.03-2tr
- Now own %{siteperl}/i586-linux-thread-multi/Convert and
  %{siteperl}/i586-linux-thread-multi/auto/Convert

* Tue Oct  5 2004 Syed Shabir <syedshabir at comodo dot com> 1.03-1tr
- New upstream for TSL 2.2

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Thu Feb 12 2004 Gerald Dachs <gda at trustix dot org> 1.0-2gd
- fixed permission on directory
- added %doc to %files section
- changed arch to i586

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- Initial release for Trustix based off a few others.

